/*
 Faa um programa que leia informaes sobre n
pessoas. Essa informao deve ficar em um vetor de
variveis do tipo estruturado pessoa, o qual deve conter
as seguintes informaes:

    Nome: string de tamanho 30;
    Sexo: caractere 'f' ou 'm';
    Idade: valor inteiro;
    Estado Civil: 's' para solteiro, 'c' para casado, 'v' para vivo,
                   'o' para outros.
    Salrio: valor real.

Em seguida, imprima o nmero de homens, nmero de
mulheres e informaes da pessoa com maior salrio.
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

typedef struct pes pessoa;
struct pes {
  char nome[30];
  char sexo;
  int idade;
  char estadoCivil;
  float salario;
};

int main()
{
  pessoa P[15], maisRica;
  int n, i, nH=0, nM=0;
  float maiorSal = 0;

  printf("entre numero efetivo de pessoas: ");
  scanf("%d", &n);
  for (i = 0; i < n; i++) {
    printf("\nentre nome: ");
    fflush(stdin); //limpar buffer do teclado - limpar arquivo de entrada de dados
    gets(P[i].nome);
    printf("entre sexo (m: Masc, f: Fem): ");
    fflush(stdin);
    scanf("%c", &P[i].sexo);
    printf("entre idade: ");
    scanf("%d", &P[i].idade);
    printf("entre estado civil (s: solteiro, c: casado,o: outros, v: viuvo): ");
    fflush(stdin);
    scanf("%c", &P[i].estadoCivil);
    printf("entre salario: ");
    scanf("%f", &P[i].salario);
    if (P[i].sexo == 'm') nH++;
    if (P[i].sexo == 'f') nM++;
    if (P[i].salario > maiorSal) {
      maiorSal = P[i].salario;
      //maisRica = P[i]; //atribuio de varivel do tipo struct para struct
      strcpy(maisRica.nome,P[i].nome); //atribuio de varivel do tipo string para string
      maisRica.sexo = P[i].sexo;
      maisRica.idade = P[i].idade;
      maisRica.estadoCivil = P[i].estadoCivil;
      maisRica.salario = P[i].salario;
    }
  }
  printf("\n\nNumero de homens: %d", nH);
  printf("\n\nNumero de mulheres: %d", nM);
  printf("\n\nPessoa mais rica: \n\tNome: %s", maisRica.nome);
  printf("\n\tSalario: %8.2f", maisRica.salario);
  printf("\n\tSexo: %c",maisRica.sexo);
  printf("\n\tIdade: %d", maisRica.idade);
  printf("\n\tEstado civil: %c\n",maisRica.estadoCivil);

  return 0;
}
